DtMmdbSectionGetShortTitle(library call)

NAME
DtMmdbSectionGetShortTitle — obtains the short title for a section

SYNOPSIS

#include &<DtMmdb.h>
const char* DtMmdbSectionGetShortTitle(
DtMmdbInfoRequest* request,
unsigned int* length);

DESCRIPTION

The DtMmdbSectionGetShortTitle function returns the short title for the specified section. Do not use the free function on the returned pointer. Table lookup is involved if the section identifier is specified by the locator_ptr field.

ARGUMENTS

request
    Specifies the bookcase in the bookcase descriptor field and either the section's Database Engine identifier (in the primary_oid field) or the section's logical identifier (in the locator_ptr field). If both of these fields have a value, DtMmdbSectionGetShortTitle uses the locator_ptr value.

length
    Specifies the variable to receive the length of the returned short title, if the returned pointer to the title is not NULL.

RETURN VALUE

If DtMmdbSectionGetShortTitle completes successfully, it returns a pointer to a NULL-terminated short title character string. If it fails, it returns a NULL pointer.

EXAMPLE

The following shows how a DtMmdbSectionGetShortTitle call might be coded.

DtMmdbInfoRequest request;
/* fill the request here */
DtMmdbSectionGetShortTitle(&&request);

SEE ALSO

DtMmdbSectionGetLongTitle(3)